Subject: [PATCH] git svn dcommit : new option --interactive

From: Frédéric Heitzmann <[email-masked]>
Date: Sun, 4 Sep 2011 21:21:51 +0200

I use git svn daily, at work, and it is so useful that I started using it to
track some files which are not supposed to find their way up to the SVN
server.
For instance, it may be useful to 'git add & commit' some reference data
files, refactor some code, check against the data files, git commit, ..., then discard
commits with data files.
This way, it is very easy to monitor the functional changes in your code.

Unfortunately, it may happen that I forget to remove useless commits, and 'git
svn dcommit' everything ... forever.

These 2 patches add a --interactive option to 'git svn dcommit', which provides
an interactive mode, similar to git-send-email.

 Documentation/git-svn.txt              |    8 ++++
 git-svn.perl                           |   71 +++++++++++++++++++++++++++++++-
 t/t9160-git-svn-dcommit-interactive.sh |   64 ++++++++++++++++++++++++++++
 3 files changed, 142 insertions(+), 1 deletions(-)